Subject: Re: [PATCH] dt-bindings: net: Convert mdio-gpio to yaml

From: Andrew Lunn <[email-masked]>
Date: Wed, 28 Apr 2021 21:19:32 +0200

> +  gpios:
> +    minItems: 2
> +    description: |
> +      MDC and MDIO lines connected to GPIO controllers are listed in
> +      the gpios property as described in section VIII.1 in the
> +      following order: MDC, MDIO.

You should probably add maxItems: 3, or however you describe this in
yaml. You often find with x86 machines you don't have GPIOs, just GPI
and GPO, and you need to combine two to form the MDIO line of the MDIO
bus.

	Andrew